.\"	$NetBSD: bootptest.8,v 1.3 1997/05/20 04:53:12 mikel Exp $
.\" bootptest.8
.TH BOOTPTEST 8 "10 June 1993" "MAINTENANCE COMMANDS"
.SH NAME
bootptest \- send BOOTP queries and print responses
.SH SYNOPSIS
.LP
.B bootptest
[
.B \-f
.I bootfile
]
[
.B \-h
]
[
.B \-m
.I magic_number
]
.I server\-name
.RI [ template-file ]
.SH DESCRIPTION
.B bootptest
sends BOOTP requests to the host specified as
.I server\-name
at one\-second intervals until either a response is received,
or until ten requests have gone unanswered.
After a response is received,
.B bootptest
will wait one more second listening for additional responses.
.SH OPTIONS
.TP
.BI \-f \ bootfile
Fill in the boot file field of the request with
.IR bootfile .
.TP
.B \-h
Use the hardware (Ethernet) address to identify the client.
By default, the IP address is copied into the request
indicating that this client already knows its IP address.
.TP
.BI \-m \ magic_number
Initialize the first word of the vendor options field with
.IR magic_number .
.LP
A
.I template-file
may be specified, in which case
.B bootptest
uses the (binary) contents of this file to initialize the
.I options
area of the request packet.
.SH CREDITS
.LP
The bootptest program is a combination of original and derived works.
The main program module (bootptest.c) is original work by
Gordon W. Ross \*[Lt]gwr@mc.com\*[Gt].
The packet printing module (print-bootp.c) is a slightly modified
version of a file from the BSD tcpdump program.
.LP
This program includes software developed by the University of
California, Lawrence Berkeley Laboratory and its contributors.
(See the copyright notice in print-bootp.c)
.SH "SEE ALSO"
.LP
bootpd(8)
.SH REFERENCES
.TP
RFC951
BOOTSTRAP PROTOCOL (BOOTP)
.TP
RFC1048
BOOTP Vendor Information Extensions
